Difference between revisions of "MediaWiki:Common.css"

From WikiRaider
Jump to: navigation, search
Line 1: Line 1:
 
/* CSS placed here will be applied to all skins */
 
/* CSS placed here will be applied to all skins */
 +
 +
 +
 +
 +
/*FRAMEWORK*/
 +
 +
 +
/*Framework oben*/
 +
 +
#mw-page-base {
 +
  background-color:transparent;
 +
  background:none;
 +
  background-image:none;
 +
}
 +
 +
 +
/* Framework links menükisten*/
 +
div#mw-panel div.portal {
 +
  margin-bottom:20px;
 +
}
 +
 +
 +
 +
 +
 +
/*Infobox */
 +
 +
.Infobox {
 +
  width:250px;
 +
  float:right;
 +
  margin-left:15px;
 +
  border:2px solid;
 +
  border-collapse:collapse;
 +
  text-align:center;
 +
  font-size:.95em;
 +
}
 +
 +
.Infobox img {
 +
  margin:-5px;
 +
}
 +
 +
.Infobox th {
 +
  font-weight:bold;
 +
  font-size:1em;
 +
}
 +
 +
.Infobox td {
 +
  border:1px solid;
 +
  border-collapse:collapse;
 +
  padding:5px;
 +
}
 +
 +
.Infobox td:first-child {
 +
  font-weight:bold;
 +
  text-align:left;
 +
  vertical-align:top;
 +
}
 +
 +
.Infobox a {
 +
  font-weight:normal;
 +
}
 +
 +
.Infobox th a {
 +
  font-weight:bold;
 +
}
 +
.Infobox span {
 +
  white-space: nowrap;
 +
}
 +
 +
 +
 
 +
.Infobox ul {
 +
  margin:0;
 +
  padding:0;
 +
  list-style-type:none;
 +
  list-style-image:none;
 +
  font-size:.85em;
 +
}
 +
 +
 +
 +
  
 
/*mainpage*/
 
/*mainpage*/
Line 49: Line 131:
 
   border-top:1px solid;
 
   border-top:1px solid;
 
}
 
}
 +
 +
 +
 +
.quote {
 +
  width:75%;
 +
  align:center;
 +
  margin:auto;
 +
  padding:5px;
 +
  border:1px #000;
 +
  font-style:italic;
 +
}
 +
 +
  
  
Line 84: Line 179:
  
  
/*Infoboxes*/
 
.infobox {
 
  margin-left:15px;
 
  float:right;
 
  border:2px solid #AAA;
 
  border-collapse:collapse;
 
  width:225px;
 
  border-top-style:ridge;
 
  border-bottom-style:groove;
 
  border-left-style:ridge;
 
  border-right-style:groove;
 
}
 
.infobox th, .infoline {
 
  padding:5px;
 
  margin:0;
 
  text-align:center;
 
  border-collapse:collapse;
 
  border:1px solid #AAA;
 
}
 
.infobox td {
 
  vertical-align:top;
 
  border:1px solid #AAA;
 
  border-collapse:collapse;
 
  padding:3px 0 3px 3px;
 
}
 
.infobox img {
 
  margin: -3px 0 -3px -3px;
 
}
 
  
  

Revision as of 02:57, 9 November 2016

/* CSS placed here will be applied to all skins */




/*FRAMEWORK*/


/*Framework oben*/

#mw-page-base {
  background-color:transparent;
  background:none;
  background-image:none;
}


/* Framework links menükisten*/
div#mw-panel div.portal {
  margin-bottom:20px;
}





/*Infobox */

.Infobox {
  width:250px;
  float:right; 
  margin-left:15px;
  border:2px solid; 
  border-collapse:collapse;
  text-align:center;
  font-size:.95em;
}

.Infobox img {
  margin:-5px;
}

.Infobox th {
  font-weight:bold;
  font-size:1em;
}

.Infobox td {
  border:1px solid; 
  border-collapse:collapse;
  padding:5px;
}

.Infobox td:first-child {
  font-weight:bold;
  text-align:left;
  vertical-align:top;
}

.Infobox a {
  font-weight:normal;
}

.Infobox th a {
  font-weight:bold;
}
.Infobox span {
  white-space: nowrap;
}


  
.Infobox ul {
  margin:0;
  padding:0;
  list-style-type:none;
  list-style-image:none;
  font-size:.85em;
}





/*mainpage*/
.mainwr {
  border:1px solid;
  padding:5px;
}
.mainleft, .mainright {
  border:1px solid;
  padding:7px;
  height:100%;
}
.mainleft div.headline, .mainright div.headline, .mainwr div.headline {
  border:1px solid;
  padding:5px;
  margin-bottom:7px;
  font-weight:bold;
}


.wrhelp {
  width:100%;
  border:2px solid;
  text-align:center;
  padding:0;
  spacing:0;
}
.wrhelp th, .contenttable th {
  text-align:center;
}
.wrhelp th h2 {
  text-align:center;
  margin:.5em;
  margin-top:.1em;
  margin-bottom:.1em;
  border-bottom:0;
  font-weight:bold;
}
.wrhelp td {
  width:50%;
  padding:0.5em;
  text-align:center;
  vertical-align:top;
}
.wrhelp td + td {
  border-left:1px solid;
}
.lastline {
  border-top:1px solid;
}



.quote {
  width:75%; 
  align:center; 
  margin:auto; 
  padding:5px; 
  border:1px #000; 
  font-style:italic;
}












.multiple_rows {
  flex-wrap: wrap;
  display: flex;
}
.multiple_rows div {
  width: 250px;
  padding: 0 3ex;
}



/* contenttable*/
.contenttable {
  width:100%;
  text-align:center;
  spacing:0;
}
.contenttable, .contenttable tr, .contenttable th, .contenttable td {
  padding:5px;
  border:1px solid  #000;
  border-collapse:collapse;
}






.perfectname, .disambig {
  position: absolute;
  height: auto;
  right: 9px;
  top: -20px;
}
.excellent {
  position: absolute;
  height: auto;
  right: 18px;
  top: -20px;
}







.listofitems {
  border:1px solid #AAA;
  padding:3px;
}

.listofitems th {
  padding:1px;
  text-align:center;
  font-weight:bold;
  font-style:italic;
  font-size:9pt;
}

.listofitems td {
  vertical-align:middle;
  font-size:9pt;
}






.multiple_rows_wide {
  flex-wrap: wrap;
  display: flex;
}
.multiple_rows_wide div {
  width: 450px;
  padding: 0 3ex;
}


.verticalaligntop td, .verticalaligntop th {
  vertical-align: top;
}

.horizontalalignleft td, horizontalalignleft th {
  text-align: left;
}


	
@font-face {
  font-family: 'NotoEmojiRegular';
  src: url('/fonts/NotoEmoji-Regular.eot');
  src: url('/fonts/NotoEmoji-Regular.woff') format('woff'),
       url('/fonts/NotoEmoji-Regular.ttf') format('truetype'),
       url('/fonts/NotoEmoji-Regular.svg') format('svg');
  font-weight: normal;
  font-style: normal;
}

.trophyB, .trophyS, .trophyG, .trophyP {
  font-family:'NotoEmojiRegular';
}

.trophyB {
  color:#cd7f32;
}

.trophyS {
  color:silver;
}

.trophyG {
  color:gold;
}

.trophyP {
  color:black;
}